// pages/order/order.js
const app = getApp()
const link = app.globalData.url
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:1,
    pageSize:10,
    openId:"",
    userStatus:0,
    goodsList:[],
    count:0
  
  },

  _asyncData() {
    this.setData({
      scrollAbleTabs: [
        {
          tab: '本人订单',
          key: '4'
        },
        {
        tab: '好友订单',
        key: '1'
      }, {
        tab: '朋友订单',
        key: '6'
      }
    ],
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
    var  that = this; 
    that.page = 1
    that.pageSize = 18
    that.openId = wx.getStorageSync('openId')
    that.userStatus = 0

    // setTimeout(that._asyncData, 0);
    wx.request( { 
      url: link + "/v1/forward/lhf", 
      header: { 
       "Content-Type": "application/json",
       "function":"/v1/user/order/list"
      }, 
      method: "POST",
      data:  { openId: that.openId,pageIndex:that.page,pageSize: that.pageSize,userStatus:that.userStatus}, 
      complete: function( res ) { 
       console.log(res)
       if( res == null || res.data == null ) { 
        console.error( '网络请求失败' ); 
        return; 
       } 
       console.log(res.data.data.rows)
       //that.count = res.data.data.count
       if (res.data.data.rows.orderInfo == null){
        that.count = res.data.data.count
        that.setData({
          goodsList: res.data.data.rows.orderInfo,
          lType:"end"
        })
       } else{
        that.count = res.data.data.count
        that.data.goodsList = res.data.data.rows.orderInfo
        that.setData({
          goodsList: that.data.goodsList,
          lType:"false"
        })
       }
 
      } 
     }) 

  },

  changeTabs: function (e){
    var that = this
    console.log(e)
    that.userStatus = e.detail.currentIndex
    that.setData({
     
      lType:"loading"
    })
    wx.request( { 
      url: link + "/v1/forward/lhf", 
      header: { 
       "Content-Type": "application/json",
       "function":"/v1/user/order/list"
      }, 
      method: "POST",
      data:  { openId: that.openId,pageIndex:that.page,pageSize: that.pageSize,userStatus:that.userStatus}, 
      complete: function( res ) { 
       console.log(res)
       if( res == null || res.data == null ) { 
        console.error( '网络请求失败' ); 
        return; 
       } 
       console.log(res.data.data.rows.orderInfo)
       //that.count = res.data.data.count
       if (res.data.data.rows.orderInfo == null){
        that.setData({
          goodsList: res.data.data.rows.orderInfo,
          lType:"end"
        })
       } else{
        that.data.goodsList = res.data.data.rows.orderInfo
        that.setData({
          goodsList: res.data.data.rows.orderInfo,
          lType:"false"
        })
       }
      

      } 
     }) 
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
   onReachBottom: function () {
  //获取数据
   var  that = this; 

   if (that.page * that.pageSize >= that.count ){
    //提示页码到了
  that.setData({
    lType:"end"
  })
  return

}

   that.page +=1

   

  wx.request( { 
   url: link + "/v1/forward/lhf", 
   header: { 
    "Content-Type": "application/json",
    "function":"/v1/user/order/list"
   }, 
   method: "POST",
   data:  { openId: that.openId,pageIndex:that.page,pageSize: that.pageSize,userStatus:that.userStatus}, 
   complete: function( res ) { 
    wx.hideLoading();
    console.log(res)
    
    for (var i = 0; i < res.data.data.rows.orderInfo.length; i++) {
      that.data.goodsList.push( res.data.data.rows.orderInfo[i]);
    }
    
   that.setData({
    goodsList: that.data.goodsList,
  })

    console.log(res.data.data.goods_search_response)
    if( res == null || res.data == null ) { 
     console.error( '网络请求失败' ); 
     return; 
    } 
   } 
  }) 
  },

  /**
   * 用户点击右上角分享
   */
  // onShareAppMessage: function () {

  // }
})